from api_events.tasks2events.default_abstract import AddEventFunctionality


class BuildTenant(AddEventFunctionality):
    service_code = "SRO-FL-TEN"
    related_code = "FL-TEN"
    events = [
        {"function_code": "bdcba521-0116-441c-ace1-84c5b68c86c7"},
    ]

    def __new__(cls, *args, **kwargs):
        return super().retrieve_events(cls.events)
